import { configure, addDecorator } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { setOptions } from '@storybook/addon-options';

function loadStories() {
  require('../stories');
}

addDecorator((story, context) => withInfo('')(story)(context));

setOptions({
  hierarchySeparator: /\//,
  hierarchyRootSeparator: /\|/,
});

configure(loadStories, module);
