# `formSubmitSaga(): void`

Form saga ensures you receive all neccessary data and methods (eg. for handling form flow) in form submit handler.

#### Examples

In parallel with form submit saga, you will likely want to use [formSubmit action](../actions/formActions.md).

Just use it as your only saga, or in list of sagas.

```js
import { formSubmitSaga as formSaga } from 'ackee-frontend-toolkit/sagas';

// main saga
export default function* () {
    yield all([
        // ... other sagas
        formSaga(),
    ]);
}
```
