var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import types from '../actionTypes';

export default (function (locale) {
    return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
            locale: locale
        };
        var action = arguments[1];

        switch (action.type) {
            case types.SET_LOCALE:
                return _extends({}, state, {
                    locale: action.locale
                });
            case types.GET_LOCALE:
                return _extends({}, state, {
                    locale: state.locale
                });
            default:
                return state;
        }
    };
});