var _marked = /*#__PURE__*/regeneratorRuntime.mark(handleError),
    _marked2 = /*#__PURE__*/regeneratorRuntime.mark(errorSaga);

import { takeEvery } from 'redux-saga/effects';

function isFailedAction(_action) {
    return _action.type.indexOf('_FAILED') > -1;
}

export function handleError(action) {
    return regeneratorRuntime.wrap(function handleError$(_context) {
        while (1) {
            switch (_context.prev = _context.next) {
                case 0:
                    _context.next = 2;
                    return console.warn(action.error);

                case 2:
                case 'end':
                    return _context.stop();
            }
        }
    }, _marked, this);
}

export default function errorSaga(customHandler) {
    return regeneratorRuntime.wrap(function errorSaga$(_context2) {
        while (1) {
            switch (_context2.prev = _context2.next) {
                case 0:
                    _context2.next = 2;
                    return takeEvery(isFailedAction, customHandler || handleError);

                case 2:
                case 'end':
                    return _context2.stop();
            }
        }
    }, _marked2, this);
}