"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dependencies = require("../../dependencies");

var UnseenSeparator = function UnseenSeparator(_ref) {
    var unseen = _ref.unseen;
    return _dependencies.React.createElement(
        "div",
        { className: "conversation__messages-separator conversation__messages-unseen-separator" },
        _dependencies.React.createElement("hr", null),
        _dependencies.React.createElement(_dependencies.FormattedMessage, { id: "chat.messages.unseen", values: { unseen: unseen } }),
        _dependencies.React.createElement("hr", null)
    );
};

UnseenSeparator.propTypes = {
    unseen: _dependencies.PropTypes.number.isRequired
};

exports.default = UnseenSeparator;