'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _chat = require('./chat.envSetup');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DataLoadDelay = function (_React$Component) {
    _inherits(DataLoadDelay, _React$Component);

    function DataLoadDelay() {
        _classCallCheck(this, DataLoadDelay);

        return _possibleConstructorReturn(this, (DataLoadDelay.__proto__ || Object.getPrototypeOf(DataLoadDelay)).apply(this, arguments));
    }

    _createClass(DataLoadDelay, [{
        key: 'componentWillMount',

        /* eslint-disable react/forbid-prop-types */
        value: function componentWillMount() {
            var _this2 = this;

            var _props = this.props,
                delay = _props.delay,
                firebaseDataPath = _props.firebaseDataPath;


            this.props.store.dispatch((0, _chat.setRequestingAction)(firebaseDataPath, true));
            setTimeout(function () {
                return _this2.props.store.dispatch((0, _chat.setRequestingAction)(firebaseDataPath, false));
            }, delay);
        }
    }, {
        key: 'render',
        value: function render() {
            return this.props.children;
        }
    }]);

    return DataLoadDelay;
}(_react2.default.Component);

DataLoadDelay.propTypes = {
    children: _propTypes2.default.any.isRequired,
    store: _propTypes2.default.object.isRequired,
    firebaseDataPath: _propTypes2.default.string.isRequired,
    delay: _propTypes2.default.number // ms

    /* eslint-enable react/forbid-prop-types */

};
DataLoadDelay.defaultProps = {
    delay: 2000
};
exports.default = DataLoadDelay;