'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = _callee;

var _dependecies = require('../../dependecies');

var _actions = require('../actions');

var _marked = /*#__PURE__*/regeneratorRuntime.mark(saveRoutingHistory),
    _marked2 = /*#__PURE__*/regeneratorRuntime.mark(_callee);

var select = _dependecies.sagaEffects.select,
    put = _dependecies.sagaEffects.put,
    takeEvery = _dependecies.sagaEffects.takeEvery;


function saveRoutingHistory() {
    var location;
    return regeneratorRuntime.wrap(function saveRoutingHistory$(_context) {
        while (1) {
            switch (_context.prev = _context.next) {
                case 0:
                    _context.next = 2;
                    return select(_dependecies.routingSelector);

                case 2:
                    location = _context.sent;
                    _context.next = 5;
                    return put((0, _actions.addLocation)(location));

                case 5:
                case 'end':
                    return _context.stop();
            }
        }
    }, _marked, this);
}

function _callee() {
    return regeneratorRuntime.wrap(function _callee$(_context2) {
        while (1) {
            switch (_context2.prev = _context2.next) {
                case 0:
                    _context2.next = 2;
                    return takeEvery(_dependecies.LOCATION_CHANGE, saveRoutingHistory);

                case 2:
                case 'end':
                    return _context2.stop();
            }
        }
    }, _marked2, this);
}