var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import { React, PropTypes, pure } from '../../dependencies';

var ConversationsItem = function ConversationsItem(_ref) {
    var ContentComponent = _ref.ContentComponent,
        userId = _ref.userId,
        data = _objectWithoutProperties(_ref, ["ContentComponent", "userId"]);

    return React.createElement(
        "li",
        { className: "conversations__item" },
        React.createElement(ContentComponent, _extends({ userId: userId }, data))
    );
};

ConversationsItem.propTypes = {
    userId: PropTypes.string.isRequired,
    ContentComponent: PropTypes.func.isRequired
};

export default pure()(ConversationsItem);