"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dependencies = require("../dependencies");

var LoadMoreButton = function LoadMoreButton(_ref) {
    var onClick = _ref.onClick,
        disabled = _ref.disabled;
    return _dependencies.React.createElement(
        "button",
        { onClick: onClick, disabled: disabled },
        _dependencies.React.createElement(_dependencies.FormattedMessage, { id: "chat.button.load" })
    );
};

LoadMoreButton.propTypes = {
    onClick: _dependencies.PropTypes.func.isRequired,
    disabled: _dependencies.PropTypes.bool
};

LoadMoreButton.defaultProps = {
    disabled: false
};

exports.default = LoadMoreButton;