'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var PropTypes = _interopRequireWildcard(_propTypes);

var _reduxForm = require('redux-form');

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Form = function Form(_ref) {
    var handleSubmit = _ref.handleSubmit,
        children = _ref.children;
    return _react2.default.createElement(
        'form',
        { style: { padding: '2em' }, onSubmit: handleSubmit },
        children,
        _react2.default.createElement(
            _button2.default,
            { type: 'primary', htmlType: 'submit' },
            'Submit'
        )
    );
};

Form.propTypes = {
    handleSubmit: PropTypes.func.isRequired,
    children: PropTypes.oneOfType([PropTypes.array, PropTypes.element, PropTypes.func, PropTypes.node]).isRequired
};

exports.default = (0, _reduxForm.reduxForm)({
    form: 'fieldStoriesForm',
    onSubmit: function onSubmit(data) {
        return console.log({ data: data });
    }
})(Form);