'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _actionTypes = require('../actionTypes');

var _actionTypes2 = _interopRequireDefault(_actionTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (locale) {
    return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
            locale: locale
        };
        var action = arguments[1];

        switch (action.type) {
            case _actionTypes2.default.SET_LOCALE:
                return _extends({}, state, {
                    locale: action.locale
                });
            case _actionTypes2.default.GET_LOCALE:
                return _extends({}, state, {
                    locale: state.locale
                });
            default:
                return state;
        }
    };
};